/*!
  @header ECLoggingConfigurationFactory
  @abstract Module of Encore
 
  @availability OS X, GNUstep
  @copyright 2004, 2005, 2006 Free Software Foundation, Inc.
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA

  <pre>
  -------------------------------------------------------------------------
  Modification history

  08.12.06 ola     initial version
  -------------------------------------------------------------------------
  </pre>
*/

#if !defined(__ECLoggingConfigurationFactory_H)
#define __ECLoggingConfigurationFactory_H

#include <Foundation/Foundation.h>
#include <Encore.h>

/*!
 * @class ECLoggingConfigurationFactory
 * @abstract Used to setup/configure the logging. Will support multiple
 * mechanisms in future. At present it "only" supports configuration via
 * XML format. Another possibility is to configure it manually (see tests
 * in source distribution)
 */
@interface ECLoggingConfigurationFactory : ECObject 

+ (void) configureUsingXMLFile: (NSString *) anXMLFilename;
@end
#endif
